## org.gnu.gtk
Class SubmenuDirection

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.SubmenuDirection

public class SubmenuDirection
extends Enum

Field Summary
`static SubmenuDirection` `LEFT`
`static SubmenuDirection` `RIGHT`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`SubmenuDirection` `and(SubmenuDirection other)`
`static SubmenuDirection` `intern(int value)`
`SubmenuDirection` `or(SubmenuDirection other)`
`boolean` `test(SubmenuDirection other)`
`SubmenuDirection` `xor(SubmenuDirection other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEFT

    public static final SubmenuDirection LEFT

### RIGHT

    public static final SubmenuDirection RIGHT

Method Detail

### intern

    public static SubmenuDirection intern(int value)

### or

    public SubmenuDirection or(SubmenuDirection other)

### and

    public SubmenuDirection and(SubmenuDirection other)

### xor

    public SubmenuDirection xor(SubmenuDirection other)

### test

    public boolean test(SubmenuDirection other)